# OSGeo::FDO::Xml::XmlFeaturePropertyWriter Class Reference
[OSGeo::FDO::Xml]

Inheritance diagram for OSGeo::FDO::Xml::XmlFeaturePropertyWriter:

[legend]

List of all members.

## Detailed Description

XmlFeaturePropertyWriter writes features in GML format. It is similar to XmlFeatureWriter, except that it provides better performance. However, the caller is responsible for ensuring that properties are written in proper order.

()

## Public Member Functions
__property OSGeo::FDO::Schema::ClassDefinition * | get_ClassDefinition ()
| Gets the class definition for the current feature being written.
OSGeo::FDO::Common::Xml::XmlWriter * | GetXmlWriter ()
| Gets the underlying XML writer.
__property System::Void | set_ClassDefinition (OSGeo::FDO::Schema::ClassDefinition *classDefinition)
| Sets the class definition for the current feature being written.
System::Void | WriteFeatureEnd ()
| Closes the current feature by writing the feature element and feature member element end tags.
System::Void | WriteFeatureStart (System::String *startTag)
| Writes the start of a feature to XML. The start tags for the feature member element and the feature's actual element are written. The feature element name is derived from the feature's class and schema names.
System::Void | WriteGeometricProperty (System::String *name, System::Byte buffer[], System::Boolean valueOnly)
| Writes a geometric property to XML.
System::Void | WriteGeometricProperty (System::String *name, System::Byte buffer[])
| Writes a geometric property to XML.
System::Void | WriteObjectPropertyEnd ()
| Closes the current object property by writing its end tag.
System::Void | WriteObjectPropertyStart (System::String *name)
| Writes start tag for an object property. The object property sub-properties can be written by subsequent calls to this class's Write functions.
System::Void | WriteProperty (System::String *name, OSGeo::FDO::Common::IStreamReader *lobReader, System::Boolean valueOnly)
| Writes a LOB feature property from a stream reader to XML.
System::Void | WriteProperty (System::String *name, OSGeo::FDO::Common::IStreamReader *lobReader)
| Writes a LOB feature property from a stream reader to XML.
System::Void | WriteProperty (System::String *name, OSGeo::FDO::Expression::LOBValue *value, System::Boolean valueOnly)
| Writes a lob property to XML.
System::Void | WriteProperty (System::String *name, OSGeo::FDO::Expression::LOBValue *value)
| Writes a lob property to XML.
System::Void | WriteProperty (System::String *name, OSGeo::FDO::Raster::IRaster *value, System::Boolean valueOnly)
| Writes a raster property to XML.
System::Void | WriteProperty (System::String *name, OSGeo::FDO::Raster::IRaster *value)
| Writes a raster property to XML.
System::Void | WriteProperty (System::String *name, System::String *value, System::Boolean valueOnly)
| Writes a feature property to XML.
System::Void | WriteProperty (System::String *name, System::String *value)
| Writes a feature property to XML.
System::Void | WriteProperty (System::String *name, OSGeo::FDO::Commands::PropertyValue *value, System::Boolean valueOnly)
| Writes a feature property to XML.
System::Void | WriteProperty (System::String *name, OSGeo::FDO::Commands::PropertyValue *value)
| Writes a feature property to XML.
| XmlFeaturePropertyWriter (OSGeo::FDO::Common::Xml::XmlWriter *writer, OSGeo::FDO::Xml::XmlFlags *flags)
| Creates a Feature Property Writer for writing FDO features to XML.
| XmlFeaturePropertyWriter (OSGeo::FDO::Common::Xml::XmlWriter *writer)
| Creates a Feature Property Writer for writing FDO features to XML.